<div class="basic-slides">
  <div
    class="basic-slides__slides"
    [ngClass]="{ 'basic-slides__slides--only-logo': onlyLogo }"
  >
    <div class="content">
      <img [src]="logo" class="content__logo" alt="Mo" *ngIf="logo" />
      <ng-container *ngIf="!onlyLogo">
        <h1 class="content__title" *ngIf="title" [innerHTML]="title"></h1>
        <p
          class="content__description"
          *ngIf="description"
          [innerHTML]="description"
        ></p>
      </ng-container>
    </div>
    <img [src]="background" class="background" *ngIf="background" />
  </div>
  <div class="basic-slides__content">
    <ng-content *ngIf="useAsContent"></ng-content>
    <router-outlet *ngIf="!useAsContent"></router-outlet>
  </div>
</div>
